API referenceSessions
List Session Messages
A page of the conversation, newest first, as the app shows it.
next_cursor is the id to pass as before for the next page. Requires
the read scope.
Authorization
apiKey AuthorizationBearer <token>
First-party API key (sbk_live_…), presented as a Bearer token.
In: header
Path Parameters
session_id*Session Id
Format
uuidQuery Parameters
limit?Limit
Range
1 <= value <= 200Default
50before?|
Only messages older than this message id.
after?|
Only messages newer than this message id.
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/v1/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"{ "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82", "items": [ { "id": "string", "role": "user", "content": "string", "timestamp": "2019-08-24T14:15:22Z", "operation_id": "cb4ede3c-a5d1-45e3-a9d2-fe83accbce52" } ], "next_cursor": "string"}